package de.comline.spring.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import de.comline.spring.model.json.Greeting;

@RestController
public class HelloController {
	@RequestMapping("/")
	public String index() {
		return "Greetings from Spring Boot!\n";
	}
	
	@RequestMapping(path = "/", consumes = "application/json", produces = "application/json")
	public Greeting sayHello() {
		return new Greeting(index());
	}
}
